<?php

namespace App\Http\Controllers\Twilio;

use App\Actions\Communications\HandleRecordingStatusCallbackAction;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class TwilioRecordingController {
    public function __invoke(Request $request, HandleRecordingStatusCallbackAction $action): Response {
        $action->handle($request->all());

        return response('', 204);
    }
}